/**
 * @file hpingwrap.h
 * @project invizible
 * @author Wesley Kenzie (wkenzie@gmail.com PGP 4c945266)
 * @created April 26, 2011
 * @based on hping (Salvatore Sanfilippo <antirez@invece.org>)
 * @modified May 27, 2011
 * @version 0.15
 * @copyright 2011. Arthur (Wesley) Kenzie. All Rights Reserved.
 * @license 3-clause BSD License. See accompanying LICENSE file.
 */

#ifndef _HPINGWRAP_H
#define	_HPINGWRAP_H

#ifdef	__cplusplus
extern "C" {
#endif

#define HPING_STANDALONE 1
#define lint // for pcap/pcap-pbf.c

#define PCAP_STANDALONE 1 // embedded in pcap folder
#define BPF_STANDALONE 1 // embedded in pcap folder

#include "common.h"

#ifndef HPING_WITHOUT_PCAP
#include "pcap/pcap-int.h"
#include "pcap/pcap.h"
#include "pcap/bpf.h"
#endif

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <limits.h>
#include "hping/byteorder.h"
#include "hping/systype.h"
#include "hping/fixtypes.h"
#include "hping/hping2.h"
#include "hping/globals.h"
#include "hping/hstring.h"
#include "hping/in.h"
#include "hping/interface.h"

#ifdef	__cplusplus
}
#endif

#endif	/* _HPINGWRAP_H */
