/**
 * @file libevwrap.h
 * @project invizible
 * @author Wesley Kenzie (wkenzie@gmail.com PGP 4c945266)
 * @created April 21, 2011
 * @modified June 6, 2011
 * @version 0.11
 * @copyright 2011. Arthur (Wesley) Kenzie. All Rights Reserved.
 * @license 3-clause BSD License. See accompanying LICENSE file.
 */

#ifndef _LIBEVWRAP_H
#define	_LIBEVWRAP_H

#ifdef	__cplusplus
extern "C" {
#endif

#define EV_STANDALONE 1 // for embedded libev
#define EV_USE_POLL 0
#define EV_USING_LIBEV 1

#ifdef _WIN32
#define EV_SELECT_IS_WINSOCKET 1 // for libev on win32
#endif

#define _REENTRANT      // for thread-safe Solaris?

#include "libev/ev.h"

#ifndef EV_INOTIFY_HASHSIZE
# define EV_INOTIFY_HASHSIZE EV_FEATURE_DATA ? 16 : 1
#endif

/* the * 2 is to allow for alignment padding, which for some reason is >> 8 */
# define EV_INOTIFY_BUFSIZE (sizeof (struct inotify_event) * 2 + NAME_MAX)

#ifdef	__cplusplus
}
#endif

#endif	/* _LIBEVWRAP_H */
